package com.pcloud.book.advertising.entity;

import java.util.Date;
import java.util.List;
import com.pcloud.common.entity.BaseEntity;

public class AdvertisingMaster extends BaseEntity {

    private static final long serialVersionUID = 3317585726581741831L;

    /**
     * advertising_master.id (唯一标识)
     */
    private Long id;

    /**
     * advertising_master.master_name (广告主名称)
     */
    private String masterName;

    /**
     * advertising_master.create_time (创建时间)
     */
    private Date createTime;

    /**
     * advertising_master.update_time (修改时间)
     */
    private Date updateTime;

    /**
     * 广告结算方式列表
     */
    private List<AdvertisingSettlementMethod> settlementMethodList;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public String getMasterName() {
        return masterName;
    }

    public void setMasterName(String masterName) {
        this.masterName = masterName;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<AdvertisingSettlementMethod> getSettlementMethodList() {
        return settlementMethodList;
    }

    public void setSettlementMethodList(List<AdvertisingSettlementMethod> settlementMethodList) {
        this.settlementMethodList = settlementMethodList;
    }

    @Override
    public String toString() {
        return "AdvertisingMaster{" +
                "id=" + id +
                ", masterName='" + masterName + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", settlementMethodList=" + settlementMethodList +
                "} " + super.toString();
    }
}